{ config, pkgs, ... }:

{
  programs.home-manager.enable = true;
  home.username = "valberg";
  home.homeDirectory = "/home/valberg";
  home.stateVersion = "23.11";

  nixpkgs.config.allowUnfree = true;

  home.packages = with pkgs; [
    ansible
    python311Packages.tox
    python311Packages.virtualenv
    pipx
    zoxide
    ruff
    gnomeExtensions.forge
    firefox
    thunderbird
    keepassxc
    jetbrains.pycharm-professional
    slack
    gnome.gnome-tweaks
    deja-dup
    signal-desktop
    tmux
    obsidian
    element-desktop
    discord
    pyenv
    nerdfonts
    blackbox-terminal
    ripgrep
    pre-commit

    tidal-hifi

    hatch
  ];

  imports = [
    ./apps/hyprland.nix
  ];

}
